package com.yunyan.business.document.y22.pojo.finalExcelY22;

import com.yunyan.common.utils.StringUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel("年度国有资本经营预算支出决算情况 2023年")
@Data
public class FinalP3T5Vo {


    @ApiModelProperty("1.国有资本经营预算")
    private String expenditureTotal;

    /*@ApiModelProperty("1.2前一年度 国有资本经营预算")
    private String expenditureTotalLastYear;

    @ApiModelProperty("1.3与前一年度支出决算对比字符串")
    private String expenditureCompareStr;*/

    @ApiModelProperty("(取值 )前一年度 政府性基金支出")
    private String expenditureTotalLastYear = "0";

    @ApiModelProperty("(拼接) 较2021年度决算数 xx 万元, 增加（减少）xx 万元，增长（下降）xx  %")
    private String compareLastYear;

    @ApiModelProperty("1.4(固定为0)基本支出-年度国有资本经营预算")
    private String expenditureBase;

    @ApiModelProperty("1.5(不能输入)项目支出-年度国有资本经营预算")
    private String expenditureProject;

    @ApiModelProperty("2.1年初预算-年度国有资本经营预算")
    private String expenditureBudgetBegin;

    @ApiModelProperty("2.2支出决算-年度国有资本经营预算")
    private String expenditureFinal;

    @ApiModelProperty("2.3完成率-年初预算-年度国有资本经营预算")
    private String expenditureBudgetRatio;

    @ApiModelProperty("3.0年度国有资本经营预算的大类list列表")
    private List<FinalP3T5CategoryItemVo> list;

    @ApiModelProperty("判断无金额，则保留前面句话，下面具体细项均删除，另外附上一句话：主要原因是: ×××单位2022年度没有国有资本经营预算财政拨款收入，也没有国有资本经营预算财政拨款安排的支出，故无数据情况说明")
    private String noListReason;

    @ApiModelProperty("是否无list项的标记: 1-是无lsit, 0-有list")
    private Integer noListFlag = 0;

    public String getExpenditureTotal() {
        if(StringUtils.isBlank(expenditureTotal)) {
            return "0.00";
        }
        return expenditureTotal;
    }

    public String getExpenditureBase() {
        if(StringUtils.isBlank(expenditureBase)) {
            return "0.00";
        }
        return expenditureBase;
    }

    public String getExpenditureProject() {
        if(StringUtils.isBlank(expenditureProject)) {
            return "0.00";
        }
        return expenditureProject;
    }
}

